@import url('https://fonts.googleapis.com/css2?family=Cascadia+Code:wght@200..700&display=swap');
@import url('./milligram.css');
@import url('./component/mainNav.css');
@import url('./component/icons.css');
@import url('./component/topNav.css');
@import url('./component/carousel.css');
@import url('./component/search.css');
@import url('./component/game.css');
@import url('./component/page.css');

body {
    background: rgb(12, 13, 20);
}

:root {
    --black-80: #1a1b28;
    --brand-colour: #777beb;
    --base-unit: 8px;
    --nav-icon-color: #777beb;
    --nav-icon-color-active: #b6a751;
}

* {
    font-family: 'Cascadia Code';
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 1.25rem;
    color: #fff;
}
a:hover {
    color: var(--nav-icon-color-active);
}

/* --------------------------------------------  */

main.layoutMain {
    margin: 60px 0 0 200px;
    padding: 0 0 0 15px;

    transition: margin 0.25s ease;
}

main.layoutMain .topPromotion {
    margin: 20px 0 4px 0;
}

main.layoutMain .topPromotion .titleContainer {
    padding: 20px 0 4px 0;
    min-height: 32px;
    display: flex;
    flex-direction: row;
    width: 100%;
}

main.layoutMain .topPromotion .titleContainer h2 {
    font-size: 1.9rem;
    font-weight: 800;
    margin-bottom: 0;
    padding-left: 0;
    padding-right: 20px;
    margin-bottom: auto;
    align-self: flex-start;
}

main.layoutMain .topPromotion .titleContainer a {
    display: inline-block;
    vertical-align: bottom;
    line-height: 2.2;
}

.backToTop {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
    flex-direction: row;
    width: 100%;
    padding: 24px;
}

.backToTop button {
    border-radius: 25px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.backToTop button [role='img'],
.backToTop button > img {
    height: 20px;
    width: 20px;
    margin-right: calc(8px * 1);
}

.backToTop button [role='img'].icon__backToTop {
    mask-image: url('../img/arrow-full-top.svg');
    display: inline-block;
    background-color: currentColor;
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: currentColor;
}

/* --------------------------------------------  */

@media (max-width: 978px) {
    main.layoutMain {
        margin: 60px 0 0 60px;
    }
}
/* --------------------------------------------  */
